<nb-card status="success">
  <nb-card-header>Usuarios</nb-card-header>
  <nb-card-body>
    <ng2-smart-table [settings]="settings" [source]="users" (custom)="onCustomAction($event)"></ng2-smart-table>
  </nb-card-body>
  <nb-card-footer>
    <button nbButton status="success" type="button" data-bs-toggle="modal"
      data-bs-target="#createModal">Agregar</button>
  </nb-card-footer>
</nb-card>


<!-- Modal to create-->
<div #createModal class="modal fade" id="createModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">{{labelTitleModal}}</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form [formGroup]="form" (ngSubmit)="save()" novalidate>
        <div class="modal-body">
          <table class="table table-borderless">
            <thead>
              <tr>
                <th scope="col">Nombre</th>
                <th scope="col">Apellido</th>
                <th scope="col">Cédula</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td> <input type="text" class="form-control" name="nombres" formControlName="nombres"
                    autocomplete="off">
                  <small style="color: Red;" *ngIf="form.get('nombres').errors==null?false:true">
                    <div *ngIf="submitted && (form.get('nombres').errors.required==null?false:true)">Campo requerido</div>
                    <div *ngIf="form.get('nombres').errors.pattern==null?false:true">Nombre invalido</div>
                  </small>
                <td> <input type="text" class="form-control" name="apellidos" formControlName="apellidos"
                    autocomplete="off">
                  <small style="color: Red;" *ngIf=" form.get('apellidos').errors==null?false:true">
                    <div *ngIf="submitted && (form.get('apellidos').errors.required==null?false:true)">Campo requerido</div>
                    <div *ngIf="form.get('apellidos').errors.pattern==null?false:true">Nombre invalido</div>
                  </small>
                </td>
                <td> <input type="text" class="form-control" name="cedula" formControlName="cedula" autocomplete="off">
                  <small style="color: Red;" *ngIf="form.get('cedula').errors==null?false:true">
                    <div *ngIf="submitted && (form.get('cedula').errors.required==null?false:true)">Campo requerido</div>
                    <div *ngIf="form.get('cedula').errors.pattern==null?false:true">Cedula invalida</div>
                  </small>
                </td>
              </tr>
            </tbody>
          </table>
          <table class="table table-borderless">
            <thead>
              <tr>
                <th scope="col">Correo</th>
                <th scope="col">Teléfono</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td> <input type="email" class="form-control" name="email" formControlName="email" autocomplete="off">
                  <small style="color: Red;" *ngIf=" form.get('email').errors==null?false:true">
                    <div *ngIf="submitted && (form.get('email').errors.required==null?false:true)">Campo requerido</div>
                    <div *ngIf="form.get('email').errors.email==null?false:true">Correo invalido</div>
                  </small>
                </td>
                <td> <input type="text" class="form-control" name="telefono" formControlName="telefono"
                    autocomplete="off">
                  <small style="color: Red;"*ngIf="form.get('telefono').errors==null?false:true">
                    <div *ngIf="submitted && (form.get('telefono').errors.required==null?false:true)">Campo requerido
                    </div>
                    <div *ngIf="form.get('telefono').errors.pattern==null?false:true">Teléfono invalido</div>
                  </small>
                </td>

              </tr>
            </tbody>
          </table>
        </div>
        <div class="modal-footer">
          <div class="form-group">
            <button type="submit" class="btn btn-success">Guardar</button>
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
          </div>
          <br>
        </div>
      </form>
    </div>
  </div>
</div>


<!-- Modal -->
<div #delete class="modal fade" id="delete" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">¿DESEAS ELEMINAR?</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>

      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
        <button nbButton status="danger" type="button" (click)="delete2()">Eliminar
        </button>
      </div>
    </div>
  </div>
</div>